"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BottomNavigation = void 0;
var react_native_1 = require("react-native");
var native_1 = require("@react-navigation/native");
var elements_1 = require("@react-navigation/elements");
var react_1 = __importDefault(require("react"));
var BottomNavigation = function (_a) {
    var state = _a.state, descriptors = _a.descriptors, navigation = _a.navigation;
    var colors = (0, native_1.useTheme)().colors;
    var buildHref = (0, native_1.useLinkBuilder)().buildHref;
    console.log(state);
    return (<react_native_1.View className="h-[90px]" style={{ flexDirection: 'row', backgroundColor: 'red' }}>
      {state.routes.map(function (route, index) {
            var options = descriptors[route.key].options;
            var label = options.tabBarLabel !== undefined
                ? options.tabBarLabel
                : options.title !== undefined
                    ? options.title
                    : route.name;
            var isFocused = state.index === index;
            var onPress = function () {
                var event = navigation.emit({
                    type: 'tabPress',
                    target: route.key,
                    canPreventDefault: true,
                });
                if (!isFocused && !event.defaultPrevented) {
                    navigation.navigate(route.name, route.params);
                }
            };
            var onLongPress = function () {
                navigation.emit({
                    type: 'tabLongPress',
                    target: route.key,
                });
            };
            return (<elements_1.PlatformPressable href={buildHref(route.name, route.params)} accessibilityState={isFocused ? { selected: true } : {}} accessibilityLabel={options.tabBarAccessibilityLabel} testID={options.tabBarButtonTestID} onPress={onPress} onLongPress={onLongPress} className="flex-1 bg-green-500 justify-center items-center">
            <elements_1.Text style={{ color: isFocused ? colors.primary : colors.text }}>
              {label}
            </elements_1.Text>
          </elements_1.PlatformPressable>);
        })}
    </react_native_1.View>);
};
exports.BottomNavigation = BottomNavigation;
//# sourceMappingURL=bottom-navigation.js.map